# RPM specfile for ximian-artwork module
# Generated Wed Nov 19 17:50:26 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.58.2.2 2003/11/05 02:56:12 mibarra Exp $

%define nam	ximian-artwork
%define ver	0.2.29
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	3

Name:     	ximian-artwork
Version: 	0.2.29
Release:	0.ximian.6.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/
Source0:	ximian-artwork-0.2.29.tar.gz
Patch0:		ximian-artwork-de.po.patch
BuildRequires:	gtk+-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig
Summary:	The Default Style for Ximian Desktop
Group:		User Interfaces/Desktops
Provides:	ximian-ximian-artwork = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
ximian-artwork contains the default style configuration for the Ximian Desktop.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING
/usr/share/themes/*
/usr/share/pixmaps/*.png
/usr/share/pixmaps/ximian/
/usr/share/pixmaps/backgrounds/ximian/
/usr/share/gdm/themes/*
/usr/share/galeon
/usr/share/pixmaps/nautilus/*
/usr/lib/gtk/themes/engines/libindustrial.so
/usr/lib/gtk-2.0/2.2.0/engines/libindustrial.so
/usr/share/xmms/Skins/*
/usr/share/icons/Industrial/
/usr/share/icons/gnome/*/*/*
/usr/share/locale/*/LC_MESSAGES/*.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ximian-artwork-0.2.29
    ;;
all)
%setup  -q -n ximian-artwork-0.2.29
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; aclocal ${ACLOCAL_FLAGS}; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm ${DESTDIR}/usr/lib/gtk/themes/engines/*a; rm ${DESTDIR}/usr/lib/gtk-2.0/2.2.0/engines/*a
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 0.2.29-0.ximian.6.3
- Summary: New build.
- New automated build.

* Wed May 21 2003 Ximian, Inc.

- Version: 0.2.25-0.ximian.5.1
- Summary: New build.
- New automated build.

* Sat Apr 26 2003 Ximian, Inc.

- Version: 0.2.19-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 0.2.16-0.ximian.2
- Summary: New build.
- New automated build.

* Tue Feb 11 2003 Ximian, Inc.

- Version: 0.2.14-0.ximian.1
- Summary: New build.
- New automated build.

* Fri Feb 7 2003 Ximian, Inc.

- Version: 0.2.13-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Jan 21 2003 Ximian, Inc.

- Version: 0.2.11-1.ximian.1
- Summary: Tweaked handle and scrollbar code.
- Fixes GtkVPaneds and GtkHPaned.  Fixed scrollbars for
          mozilla/galeon.  Fixed scrollbar and handle colors.

* Tue Jan 21 2003 Ximian, Inc.

- Version: 0.2.10-1.ximian.1
- Summary: New GtkPaned code.
- Fixes GtkVPaneds and GtkHPaned.

* Tue Jan 21 2003 Ximian, Inc.

- Version: 0.2.9-1.ximian.1
- Summary: Galeon theme.
- Adds galeon theme.

* Fri Oct 25 2002 Ximian, Inc.

- Version: 0.2.0-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Oct 22 2002 Ximian, Inc.

- Version: 0.1.5-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Oct 15 2002 Ximian, Inc.

- Version: 0.1.4.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 11 2002 Ximian, Inc.

- Version: 0.1.4-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 4 2002 Ximian, Inc.

- Version: 0.1.3-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 4 2002 Ximian, Inc.

- Version: 0.1.2-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Oct 2 2002 Ximian, Inc.

- Version: 0.1.1-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Sep 30 2002 Ximian, Inc.

- Version: 0.1.0-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 27 2002 Ximian, Inc.

- Version: 0.0.8-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Sep 26 2002 Ximian, Inc.

- Version: 0.0.7.1-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Sep 23 2002 Ximian, Inc.

- Version: 0.0.6.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 20 2002 Ximian, Inc.

- Version: 0.0.6-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 20 2002 Ximian, Inc.

- Version: 0.0.5.2-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Sep 19 2002 Ximian, Inc.

- Version: 0.0.5.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 13 2002 Ximian, Inc.

- Version: 0.0.5-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Sep 12 2002 Ximian, Inc.

- Version: 0.0.4.1-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Sep 11 2002 Ximian, Inc.

- Version: 0.0.4-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Sep 9 2002 Ximian, Inc.

- Version: 0.0.3-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Aug 28 2002 Ximian, Inc.

- Version: 0.0.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Aug 23 2002 Ximian, Inc.

- Version: 0.0.1-1.ximian.1
- Summary: New build.
- New automated build.

